commit:     e6f348a0ad139f2734c13c9b51ea9a666ea03840
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  1 15:46:49 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Feb  1 15:47:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6f348a0

dev-libs/libevdev: Version bump to 1.11.0

Bug: https://bugs.gentoo.org/700938
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-libs/libevdev/Manifest               |  1 +
 dev-libs/libevdev/libevdev-1.11.0.ebuild | 58 ++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-libs/libevdev/Manifest b/dev-libs/libevdev/Manifest
index 049073fdff1..e2e70411ba9 100644
--- a/dev-libs/libevdev/Manifest
+++ b/dev-libs/libevdev/Manifest
@@ -1 +1,2 @@
 DIST libevdev-1.10.0.tar.xz 445792 BLAKE2B 
b7638ae85cac8b8d29c3255da1de50a06db9eb97d752b383852c85c32f8f93f31135e9d28acd474695d36d87eba04d455abd99badf6e492c2561893c47f796d2
 SHA512 
94ab4ee7e0854c41a491d8e4713baa95ae66dd337b41823011c0913aa1c72e8bbf8b808d5936c2ef456af794b6d3a5cd7cd0515fbd1d06dd1b7ba19275bd928f
+DIST libevdev-1.11.0.tar.xz 445316 BLAKE2B 
f3c1aa688d83f4a27abec23f18817bbdb7a5911cc30fab694271f620c23273cf20109598edb0049239e78a173baa20471ad1f25266eff34a50ed8898d7b86080
 SHA512 
b3c6b4a1532c5142f3684b920dcdd497a5368aec516e8c389e2c8f9d1eaba16c907b2a7f2c82a3c3ff89bb4d0ae5503c736098c095f9f1bc98f0668e99bf639d

diff --git a/dev-libs/libevdev/libevdev-1.11.0.ebuild 
b/dev-libs/libevdev/libevdev-1.11.0.ebuild
new file mode 100644
index 00000000000..dbdaeebcd51
--- /dev/null
+++ b/dev-libs/libevdev/libevdev-1.11.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit meson multilib-minimal python-any-r1
+
+DESCRIPTION="Handler library for evdev events"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/libevdev/ 
https://gitlab.freedesktop.org/libevdev/libevdev";
+
+if [[ ${PV} == 9999* ]] ; then
+       EGIT_REPO_URI="https://gitlab.freedesktop.org/libevdev/libevdev.git";
+       inherit git-r3
+else
+       SRC_URI="https://www.freedesktop.org/software/libevdev/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="doc test"
+
+DEPEND="test? ( dev-libs/check[${MULTILIB_USEDEP}] )"
+BDEPEND="
+       ${PYTHON_DEPS}
+       doc? ( app-doc/doxygen )
+       virtual/pkgconfig
+"
+RESTRICT="!test? ( test )"
+
+multilib_src_configure() {
+       local emesonargs=(
+               $(meson_feature doc documentation)
+               $(meson_feature test tests)
+       )
+       meson_src_configure
+}
+
+multilib_src_compile() {
+       meson_src_compile
+}
+
+multilib_src_test() {
+       meson test -v -C "${BUILD_DIR}" -t 100 || die "tests failed"
+}
+
+multilib_src_install() {
+       meson_src_install
+}
+
+multilib_src_install_all() {
+       if use doc; then
+               local HTML_DOCS=( doc/html/. )
+               einstalldocs
+       fi
+}

Reply via email to